Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.validation
Class ECPSubstitutionLabelProvider

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.validation.ECPSubstitutionLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider

    public final class ECPSubstitutionLabelProvider

extends Object
implements org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider

An ECP ECPSubstitutionLabelProvider used in the validation context.

Author:
  Eugen Neufeld

Constructor Summary
`ECPSubstitutionLabelProvider(org.eclipse.emf.common.notify.AdapterFactory factory)` Creates an `ECPSubstitutionLabelProvider`.

Method Summary
`String` | `getFeatureLabel(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)`
`String` | `getObjectLabel(org.eclipse.emf.ecore.EObject eObject)`
`String` | `getValueLabel(org.eclipse.emf.ecore.EDataType eDataType, Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPSubstitutionLabelProvider

    public ECPSubstitutionLabelProvider(org.eclipse.emf.common.notify.AdapterFactory factory)

  Creates an `ECPSubstitutionLabelProvider`.

  Parameters:
    `factory` - the `AdapterFactory` to use

Method Detail

### getObjectLabel

    public String getObjectLabel(org.eclipse.emf.ecore.EObject eObject)

  Specified by:
    `getObjectLabel` in interface `org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider`
  See Also:
    `EValidator.SubstitutionLabelProvider.getObjectLabel(org.eclipse.emf.ecore.EObject)`

### getFeatureLabel

    public String getFeatureLabel(org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

  Specified by:
    `getFeatureLabel` in interface `org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider`
  See Also:
    `EValidator.SubstitutionLabelProvider.getFeatureLabel(org.eclipse.emf.ecore.EStructuralFeature)`

### getValueLabel

    public String getValueLabel(org.eclipse.emf.ecore.EDataType eDataType,
                                Object value)

  Specified by:
    `getValueLabel` in interface `org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider`
  See Also:
    `EValidator.SubstitutionLabelProvider.getValueLabel(org.eclipse.emf.ecore.EDataType, java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.